# md5crypt(3trf) 2.1.3 "Trf transformer commands"

## Name

md5crypt - Password hashing based on "md5"

## Table Of Contents

## Synopsis

- package require Tcl ?8.2?
- package require Trf ?2.1.3?

- md5crypt password salt

## Description

The command md5crypt is for the encryption of passwords and uses md5 as hash algorithm. An alternative command for the same function, but based on the older crypt(3) hash function is crypt.

md5crypt password salt

  Encrypts the password using the specified salt and returns the generated hash value as the result of the command.

## See Also

crypt, trf-intro

## Keywords

authentication, crypt, hash, hashing, mac, md5, message digest, password

## Copyright

Copyright © 1996-2003, Andreas Kupries <andreas_kupries@users.sourceforge.net>